Loading...
Searching...
No Matches
websocketpp::config::debug_asio Struct Reference

Client/Server debug config with asio transport and TLS disabled. More...

`#include <debug_asio_no_tls.hpp>`

Inheritance diagram for websocketpp::config::debug_asio:

## Classes

struct | transport_config

## Public Types

typedef debug_asio | type
typedef debug_core | base
typedef base::concurrency_type | concurrency_type
typedef base::request_type | request_type
typedef base::response_type | response_type
typedef base::message_type | message_type
typedef base::con_msg_manager_type | con_msg_manager_type
typedef base::endpoint_msg_manager_type | endpoint_msg_manager_type
typedef base::alog_type | alog_type
typedef base::elog_type | elog_type
typedef base::rng_type | rng_type
typedef websocketpp::transport::asio::endpoint< transport_config > | transport_type
Public Types inherited from websocketpp::config::debug_core
typedef debug_core | type
typedef websocketpp::concurrency::basic | concurrency_type
typedef http::parser::request | request_type
typedef http::parser::response | response_type
typedef message_buffer::message< message_buffer::alloc::con_msg_manager > | message_type
typedef message_buffer::alloc::con_msg_manager< message_type > | con_msg_manager_type
typedef message_buffer::alloc::endpoint_msg_manager< con_msg_manager_type > | endpoint_msg_manager_type
typedef websocketpp::log::basic< concurrency_type, websocketpp::log::elevel > | elog_type
| Logging policies.
typedef websocketpp::log::basic< concurrency_type, websocketpp::log::alevel > | alog_type
typedef websocketpp::random::none::int_generator< uint32_t > | rng_type
| RNG policies.
typedef websocketpp::transport::iostream::endpoint< transport_config > | transport_type
| Transport Endpoint Component.
typedef websocketpp::endpoint_base | endpoint_base
| User overridable Endpoint base class.
typedef websocketpp::connection_base | connection_base
| User overridable Connection base class.
typedef websocketpp::extensions::permessage_deflate::disabled< permessage_deflate_config > | permessage_deflate_type

## Additional Inherited Members

Static Public Attributes inherited from websocketpp::config::debug_core
static bool const | enable_multithreading = true
static const long | timeout_open_handshake = 5000
| Default timer values (in ms).
static const long | timeout_close_handshake = 5000
| Length of time before a closing handshake is aborted.
static const long | timeout_pong = 5000
| Length of time to wait for a pong after a ping.
static const int | client_version = 13
| WebSocket Protocol version to use as a client.
static const websocketpp::log::level | elog_level
| Default static error logging channels.
static const websocketpp::log::level | alog_level
| Default static access logging channels.
static const size_t | connection_read_buffer_size = 16384
static const bool | drop_on_protocol_error = false
| Drop connections immediately on protocol error.
static const bool | silent_close = false
| Suppresses the return of detailed connection close information.
static const size_t | max_message_size = 32000000
| Default maximum message size.
static const size_t | max_http_body_size = 32000000
| Default maximum http body size.
static const bool | enable_extensions = true
| Global flag for enabling/disabling extensions.

## Detailed Description

Client/Server debug config with asio transport and TLS disabled.

Definition at line 38 of file debug_asio_no_tls.hpp.

## Member Typedef Documentation

## alog_type

typedef base::alog_type websocketpp::config::debug_asio::alog_type

Definition at line 51 of file debug_asio_no_tls.hpp.

## base

typedef debug_core websocketpp::config::debug_asio::base

Definition at line 40 of file debug_asio_no_tls.hpp.

## con_msg_manager_type

typedef base::con_msg_manager_type websocketpp::config::debug_asio::con_msg_manager_type

Definition at line 48 of file debug_asio_no_tls.hpp.

## concurrency_type

typedef base::concurrency_type websocketpp::config::debug_asio::concurrency_type

Definition at line 42 of file debug_asio_no_tls.hpp.

## elog_type

typedef base::elog_type websocketpp::config::debug_asio::elog_type

Definition at line 52 of file debug_asio_no_tls.hpp.

## endpoint_msg_manager_type

typedef base::endpoint_msg_manager_type websocketpp::config::debug_asio::endpoint_msg_manager_type

Definition at line 49 of file debug_asio_no_tls.hpp.

## message_type

typedef base::message_type websocketpp::config::debug_asio::message_type

Definition at line 47 of file debug_asio_no_tls.hpp.

## request_type

typedef base::request_type websocketpp::config::debug_asio::request_type

Definition at line 44 of file debug_asio_no_tls.hpp.

## response_type

typedef base::response_type websocketpp::config::debug_asio::response_type

Definition at line 45 of file debug_asio_no_tls.hpp.

## rng_type

typedef base::rng_type websocketpp::config::debug_asio::rng_type

Definition at line 54 of file debug_asio_no_tls.hpp.

## transport_type

typedef websocketpp::transport::asio::endpoint<transport_config> websocketpp::config::debug_asio::transport_type

Definition at line 67 of file debug_asio_no_tls.hpp.

## type

typedef debug_asio websocketpp::config::debug_asio::type

Definition at line 39 of file debug_asio_no_tls.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/config/debug_asio_no_tls.hpp